## org.eclipse.uml2.common.util
Class CacheAdapter.InverseCrossReferencer

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<org.eclipse.emf.ecore.EObject,java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature.Setting>>
              org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
                  org.eclipse.uml2.common.util.CacheAdapter.InverseCrossReferencer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<org.eclipse.emf.ecore.EObject,java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature.Setting>>

Enclosing class:
  CacheAdapter

    protected class CacheAdapter.InverseCrossReferencer

extends org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
`emfObjects`

Constructor Summary
`protected` `CacheAdapter.InverseCrossReferencer()`

Method Summary
`protected void` `addProxy(org.eclipse.emf.ecore.EObject proxy, org.eclipse.emf.ecore.EObject context)`
`protected org.eclipse.emf.common.util.URI` `normalizeURI(org.eclipse.emf.common.util.URI uri, org.eclipse.emf.ecore.EObject objectContext)`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreUtil.CrossReferencer
`containment, crossReference, done, find, getCollection, handleCrossReference, newContentsIterator, print, print, toString`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### CacheAdapter.InverseCrossReferencer

    protected CacheAdapter.InverseCrossReferencer()

Method Detail

### normalizeURI

    protected org.eclipse.emf.common.util.URI normalizeURI(org.eclipse.emf.common.util.URI uri,
                                                           org.eclipse.emf.ecore.EObject objectContext)

### addProxy

    protected void addProxy(org.eclipse.emf.ecore.EObject proxy,
                            org.eclipse.emf.ecore.EObject context)

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.